/*
 * $Id: media.h,v 1.1.1.1 2002/10/19 13:07:02 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * P/ECE screen/sound functions header file.
 *
 * @version $Revision: 1.1.1.1 $
 */
#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 88

extern unsigned char vbuf[];
extern unsigned char IMG_TITLE[];
extern PIECE_BMP titleBmp;
extern unsigned char SE_BGM[], SE_PUNCH1[], SE_PUNCH2[], SE_HIT1[], SE_HIT2[];

void initScreen();
void clearScreen();
void drawLine(int c, int x1, int y1, int x2, int y2);

void initSound();
void playSeNow(char *snd, int ch, int loop);
void stopSeNow(int ch);
void stopSe();
void saveWaveAtt();
void loadWaveAtt();
